Index: lk/drivers/dsp/bridge/gen/_gt_para.c
===================================================================
--- lk.orig/drivers/dsp/bridge/gen/_gt_para.c	2008-08-18 10:38:36.000000000 +0300
+++ lk/drivers/dsp/bridge/gen/_gt_para.c	2008-08-18 10:38:39.000000000 +0300
@@ -89,8 +89,8 @@
 
 	va_end(va);
 
-	(*GT->PRINTFXN) ("ERROR: ");
-	(*GT->PRINTFXN) (fmt, arg1, arg2, arg3, arg4, arg5, arg6);
+	printk("ERROR: ");
+	printk(fmt, arg1, arg2, arg3, arg4, arg5, arg6);
 
 #if (defined DEBUG) || (defined DDSP_DEBUG_PRODUCT)
 	if (in_interrupt()) {
Index: lk/drivers/dsp/bridge/gen/gt.c
===================================================================
--- lk.orig/drivers/dsp/bridge/gen/gt.c	2008-08-18 10:38:36.000000000 +0300
+++ lk/drivers/dsp/bridge/gen/gt.c	2008-08-18 10:38:39.000000000 +0300
@@ -238,14 +238,14 @@
 	va_end(va);
 #ifdef DEBUG
 	if (GT->PIDFXN == NULL) {
-		(*GT->PRINTFXN)(GT_1format, mask->modName, GT->TIDFXN ?
+		printk(GT_1format, mask->modName, GT->TIDFXN ?
 		(*GT->TIDFXN)() : 0);
 	} else {
-		(*GT->PRINTFXN)(GT_2format, mask->modName, (*GT->PIDFXN)(),
+		printk(GT_2format, mask->modName, (*GT->PIDFXN)(),
 		GT->TIDFXN ? (*GT->TIDFXN)() : 0);
 	}
 #endif
-	(*GT->PRINTFXN)(format, arg1, arg2, arg3, arg4, arg5, arg6);
+	printk(format, arg1, arg2, arg3, arg4, arg5, arg6);
 
 	return 0;
 }
@@ -257,7 +257,7 @@
  */
 static void error(char *string)
 {
-	(*GT->PRINTFXN)("GT: %s", string);
+	printk("GT: %s", string);
 }
 
 /*
Index: lk/arch/arm/plat-omap/include/bridge/dbc.h
===================================================================
--- lk.orig/arch/arm/plat-omap/include/bridge/dbc.h	2008-08-18 10:38:34.000000000 +0300
+++ lk/arch/arm/plat-omap/include/bridge/dbc.h	2008-08-18 10:38:39.000000000 +0300
@@ -50,7 +50,7 @@
 
 #define DBC_Assert(exp) \
     if (!(exp)) \
-	(*GT->ERRORFXN)("%s, line %d: Assertion (" #exp ") failed.\n", \
+	printk("%s, line %d: Assertion (" #exp ") failed.\n", \
 	__FILE__, __LINE__)
 #define DBC_Require DBC_Assert	/* Function Precondition.  */
 #define DBC_Ensure  DBC_Assert	/* Function Postcondition. */
Index: lk/arch/arm/plat-omap/include/bridge/gt.h
===================================================================
--- lk.orig/arch/arm/plat-omap/include/bridge/gt.h	2008-08-18 10:38:34.000000000 +0300
+++ lk/arch/arm/plat-omap/include/bridge/gt.h	2008-08-18 10:38:39.000000000 +0300
@@ -241,7 +241,7 @@
 
 #define GT_assert(mask, expr) \
 	(!(expr) ? \
-	    (*GT->ERRORFXN)("assertion violation: %s, line %d\n", \
+	    printk("assertion violation: %s, line %d\n", \
 			    __FILE__, __LINE__), NULL : NULL)
 
 #define GT_config(config)     (_GT_params = *(config))
Index: lk/drivers/dsp/bridge/services/dbg.c
===================================================================
--- lk.orig/drivers/dsp/bridge/services/dbg.c	2008-08-18 10:38:37.000000000 +0300
+++ lk/drivers/dsp/bridge/services/dbg.c	2008-08-18 10:38:39.000000000 +0300
@@ -101,7 +101,7 @@
 	va_end(va);
 
 	if (bLevel & *(DBG_debugMask).flags)
-		(*GT->PRINTFXN)(pstrFormat, arg1, arg2, arg3, arg4, arg5, arg6);
+		printk(pstrFormat, arg1, arg2, arg3, arg4, arg5, arg6);
 
 	return DSP_SOK;
 }
